%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version: 1.26.0
Release: %mkrel 1
License:        GPLv3
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    itstool
BuildRequires:    yelp-tools
BuildRequires:    pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:    pkgconfig(libfakekey)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires:    pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires:    pkgconfig(xtst)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(libwnck-3.0)
BuildRequires:    pkgconfig(unique-3.0)

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%setup -q

%build
%configure2_5x --libexecdir=%{_libexecdir}/%{name}

%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1.*


%changelog
* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
